curl --request POST \
--url https://service.incaseof.law/openapi/debtors \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"acting_as": "person",
"debtor_type": "privateperson",
"person": {
"salutation": "mr",
"first_name": "Max",
"last_name": "Mustermann"
},
"addresses": [
{
"street": "Hauptstrasse 1",
"zip": "1010",
"city": "Wien",
"country": "AT",
"is_primary": true
}
],
"communication_channels": [
{
"type": "email",
"value": "[email protected]",
"is_primary": true
}
]
}
'{
"success": true,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"acting_as": "person",
"debtor_type": "<string>",
"person": {
"salutation": "mr",
"first_name": "<string>",
"last_name": "<string>",
"birth_date": "<string>"
},
"company": {
"company_name": "<string>",
"firmenbuchnummer": "<string>",
"not_protocolled": true
},
"addresses": [
{
"street": "<string>",
"zip": "<string>",
"city": "<string>",
"country": "AF",
"is_primary": true
}
],
"communication_channels": [
{
"type": "email",
"value": "[email protected]",
"is_primary": true
}
]
}
}Debtors
Create debtor
Create a new debtor. The organization_id is automatically derived from your API token.
Partner tokens: customer_id is required so the system can determine which organization this debtor belongs to.
Client/org tokens: customer_id is optional (organization comes from the token).
POST
/
openapi
/
debtors
curl --request POST \
--url https://service.incaseof.law/openapi/debtors \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"acting_as": "person",
"debtor_type": "privateperson",
"person": {
"salutation": "mr",
"first_name": "Max",
"last_name": "Mustermann"
},
"addresses": [
{
"street": "Hauptstrasse 1",
"zip": "1010",
"city": "Wien",
"country": "AT",
"is_primary": true
}
],
"communication_channels": [
{
"type": "email",
"value": "[email protected]",
"is_primary": true
}
]
}
'{
"success": true,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"acting_as": "person",
"debtor_type": "<string>",
"person": {
"salutation": "mr",
"first_name": "<string>",
"last_name": "<string>",
"birth_date": "<string>"
},
"company": {
"company_name": "<string>",
"firmenbuchnummer": "<string>",
"not_protocolled": true
},
"addresses": [
{
"street": "<string>",
"zip": "<string>",
"city": "<string>",
"country": "AF",
"is_primary": true
}
],
"communication_channels": [
{
"type": "email",
"value": "[email protected]",
"is_primary": true
}
]
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
person, company Required for partner tokens. Links the debtor to a customer for organization resolution. Optional for client/org tokens.
Available options:
privateperson, protocolled_company, unprotocolled_company Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes